Subject: bug#34470: closed (Re: [bug#34470] [PATCH 4/8] gnu: gdm: Use absolute path for gnome-session.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Mar 2019 21:09:02 +0000

Your bug report

#34470: [PATCH 0/8] GDM without GNOME Desktop

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34470: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34470
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#34470] [PATCH 4/8] gnu: gdm: Use absolute path for gnome-session.
From: Ludovic Courtès <[email-masked]>
To: Timothy Sample <[email-masked]>
Cc: [email-masked]
Date: Mon, 04 Mar 2019 22:08:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

Timothy Sample <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> [...]
>>
>>>>> * gnu/packages/gnome.scm (gdm)[arguments]: Modify the pre-configure
>>>>> phase to substitute in the absolute path of gnome-session.
>>>>> [inputs]: Add gnome-session.
>>
>> [...]
>>
>> GDM does seem to work without that dependency though (on current
>> master); or is there missing functionality?
>
> It turns out you committed this patch to master as
> def6d6b61685f69421df80cb524ba94da5dadd42.

Oh, true; two weeks of vacations and everything is forgotten.  :-)

> If I revert the commit, GDM does not work (without GNOME installed in
> the system profile).
>
> If there is a way to work around GNOME Session, I’m not clever enough to
> think of it.  :(

Alright, well so be it.

Then I guess the next step is to stare at ‘guix size gdm’ in search of
ways to trim the closure.  It might not be that hard actually:

--8<---------------cut here---------------start------------->8---
$ guix size gdm |head
store item                                                       total    self
/gnu/store/bvnj04sqiwc1gcis29swk6likyc5dw8f-llvm-6.0.1             268.1   104.5   7.7%
/gnu/store/n2p1zs14y89lwkg9da68y12pc10c6sw9-gcc-5.5.0              161.9    93.7   6.9%
/gnu/store/b7fqhszxl02g6pfm3vw6b3cjz472qrly-python-3.7.0           182.8    74.6   5.5%
/gnu/store/j6g996l8kxxv8c76a9c61n3gi4s0wvdr-mesa-18.3.1            360.5    63.8   4.7%
/gnu/store/dna8kpb00kq176rz8x69yy4j33my2q55-perl-5.28.0            146.3    58.2   4.3%
/gnu/store/g87hamjyipk1j6dfq5pjfzfnfb64spbv-python2-2.7.15         163.6    56.6   4.2%
/gnu/store/fh42kncsw279yn24kcqiydmqbzg3iv3a-mozjs-52.0-1.6507e63   209.6    54.0   4.0%
/gnu/store/f2y93basw0ykg7spgxbxsy95l64fhbc9-gtk+-3.24.2            702.4    45.5   3.4%
/gnu/store/9alic3caqhay3h8mx4iihpmyj6ymqpcx-guile-2.2.4            121.9    44.4   3.3%
--8<---------------cut here---------------end--------------->8---

That GCC is out of place and that LLVM is surely too big.

>> If we must have it though, let’s have it, and we can then see how to
>> trim that closure.
>
> I looked at this briefly when you first brought it up, because I thought
> there would be something blindingly obvious that I could cut out.
> Unfortunately, I didn’t find anything.  It probably can be tightened up,
> it just needs to examined a bit more carefully.

Yup, we’ll see.

Closing this issue now anyway.

Thank you!

Ludo’.

Subject: [PATCH 0/8] GDM without GNOME Desktop
From: Timothy Sample <[email-masked]>
To: [email-masked]
Date: Wed, 13 Feb 2019 14:09:42 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

This patch series fixes up a few things with GDM.  The main one is that
GDM no longer requires the GNOME Desktop service to be included in the
system services.  It no longer blindly hopes that everything it needs
happens to be in “/run/current-system/profile”.  Now it mostly knows
where to find its dependencies directly, and in the cases it doesn’t, it
makes sure that what it needs is in the system profile.

Around this, I did some cleaning.  GDM now looks directly at its
configuration file in the store rather than at a link in “/etc”, and a
repetitive section of messy substitutions is now a loop.

I added a D-Bus wrapper script as discussed before [1].  It doesn’t do
much, but it is there to be improved if needed.

This series also includes the user X session scripts that were recently
discussed [2].

-- Tim

[1] https://lists.gnu.org/archive/html/guix-devel/2019-01/msg00047.html
[2] https://lists.gnu.org/archive/html/guix-devel/2019-02/msg00198.html

Timothy Sample (8):
  services: gdm: Remove etc service.
  gnu: gnome-session: Use absolute paths in .desktop files.
  gnu: gdm: Add links to required login-session files.
  gnu: gdm: Use absolute path for gnome-session.
  gnu: gdm: Simplify pre-configure phase.
  gnu: gdm: Run dbus-daemon via a wrapper script.
  services: gdm: Make dependencies explicit.
  services: gdm: Allow for custom X session scripts.

 gnu/packages/gnome.scm |  96 +++++++++++++++++++++-------------
 gnu/services/xorg.scm  | 113 +++++++++++++++++++++++++----------------
 2 files changed, 130 insertions(+), 79 deletions(-)